Skip to main content
PATCH
/
leads
/
{id}
Update Lead
curl --request PATCH \
  --url https://eu-cloudflare.vg-stuff.com/leads/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "<string>",
  "lead": {
    "email": "<string>",
    "name": "<string>",
    "phone": "<string>",
    "metaData": {
      "address": "<string>",
      "company": "<string>",
      "notes": "<string>",
      "source": "chat"
    },
    "convoId": "<string>",
    "ts": 123
  }
}
'
{
  "success": true,
  "message": "<string>",
  "data": "<unknown>"
}

Example Request

{
  "lead": {
    "name": "John Smith",
    "metaData": {
      "notes": "Follow up scheduled for next week"
    }
  }
}
Uses partial updates - only provided fields are changed. The ts timestamp is automatically updated.
You cannot change the agentId after creation. Create a new lead if you need to reassign.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the lead

Body

application/json
agentId
string
required

The agent ID that owns this lead (required in request body)

lead
object
required

Lead data to update (all fields optional)

Response

Successful response

success
boolean
required
message
string
required
data
any